﻿/**Begin D:\PDM_UPGRADE\PDM1\PMD_constraint.sql **/
 EXEC P_ALTERPK 'PK_PMD_PERFFILE', 'T_PMD_PERFFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_PERFFILENO') CREATE INDEX IDX_PMD_PERFFILENO ON T_PMD_PERFFILE ( FNUMBER );


 EXEC P_ALTERPK 'PK_PMD_PERFFILEACTIVITY', 'T_PMD_PERFFILEACTIVITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_PERFFILEACTIVITY') CREATE INDEX IDX_PMD_PERFFILEACTIVITY ON T_PMD_PERFFILEACTIVITY ( FID );


 EXEC P_ALTERPK 'PK_PMD_PERFFILEPOSREL', 'T_PMD_PERFFILEPOSREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_EMPPOSORGREL') CREATE INDEX IDX_PMD_EMPPOSORGREL ON T_PMD_PERFFILEPOSREL ( FID );


 EXEC P_ALTERPK 'PK_PMD_PERFFILEPOLICY', 'T_PMD_PERFFILEPOLICY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_PERFFILEPOLICY') CREATE INDEX IDX_PMD_PERFFILEPOLICY ON T_PMD_PERFFILEPOLICY ( FID );


 EXEC P_ALTERPK 'PK_PMD_BUSIEVENTREL', 'T_PMD_BUSIEVENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_BUSIEVENTREL') CREATE INDEX IDX_PMD_BUSIEVENTREL ON T_PMD_BUSIEVENTREL ( FSOURCEENTITY ,FBOID ,FEVENTID );


 EXEC P_ALTERPK 'PK_PMD_EVENT', 'T_PMD_EVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_EVENT') CREATE INDEX IDX_PMD_EVENT ON T_PMD_EVENT ( FEVENTBATCHTYPE );


 EXEC P_ALTERPK 'PK_PMD_EVENTRELHIS', 'T_PMD_EVENTRELHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_EVENTRELHIS') CREATE INDEX IDX_PMD_EVENTRELHIS ON T_PMD_EVENTRELHIS ( FBUSIEVENTID );



/**End D:\PDM_UPGRADE\PDM1\PMD_constraint.sql **/
