﻿/**Begin D:\PDM_UPGRADE\PDM1\PMD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTIVE')
 CREATE TABLE T_PMD_OBJECTIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCOPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FOBJTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCYCLEID VARCHAR(60) DEFAULT ' ' NOT NULL,
FCYCLONGNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FVISIBLEID BIGINT DEFAULT 0 NOT NULL,
FPROGRESS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCALCULATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCALCULATEUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTARGETVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPEROBJID BIGINT DEFAULT 0 NOT NULL,
FDUTYORGID BIGINT DEFAULT 0 NOT NULL,
FDUTYPERSONID BIGINT DEFAULT 0 NOT NULL,
FFROMORGID BIGINT DEFAULT 0 NOT NULL,
FFROMPERSONID BIGINT DEFAULT 0 NOT NULL,
FEVALORGID BIGINT DEFAULT 0 NOT NULL,
FEVALPERSONID BIGINT DEFAULT 0 NOT NULL,
FOBJSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FRISKLEVEL VARCHAR(2) DEFAULT 'C' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTKEYRESULT')
 CREATE TABLE T_PMD_OBJECTKEYRESULT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKRNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKRPROGRESS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISQUANTIFY CHAR(1) DEFAULT '0' NOT NULL,
FKRUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FKRCUSUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDUTYPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTIVE_L')
 CREATE TABLE T_PMD_OBJECTIVE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALCULATEUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTKEYRESULT_L')
 CREATE TABLE T_PMD_OBJECTKEYRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALCULATEUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTEVALUATION')
 CREATE TABLE T_PMD_OBJECTEVALUATION (
FID BIGINT DEFAULT 0 NOT NULL,
FOBJECTIVEID BIGINT DEFAULT 0 NOT NULL,
FSCORETYPE BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FINVITATIONDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEVALUATIONDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTEVALUATION_L')
 CREATE TABLE T_PMD_OBJECTEVALUATION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTCOMMENT')
 CREATE TABLE T_PMD_OBJECTCOMMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FOBJECTIVEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOMMDATE DATETIME,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTCOMMENT_L')
 CREATE TABLE T_PMD_OBJECTCOMMENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTTASK')
 CREATE TABLE T_PMD_OBJECTTASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROGRESS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJECTTASK_L')
 CREATE TABLE T_PMD_OBJECTTASK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJCOOPORG')
 CREATE TABLE T_PMD_OBJCOOPORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_OBJCOOPPERSON')
 CREATE TABLE T_PMD_OBJCOOPPERSON (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_POTMEMBER')
 CREATE TABLE T_PMD_POTMEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FPOTID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMD_PROJECTORGTEAM')
 CREATE TABLE T_PMD_PROJECTORGTEAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLEDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '2' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FTEAMLEADERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\PMD_table.sql **/
